import type { MetroConfig } from 'metro';
import type { MetroSerializer } from './utils';
/**
 * This function will overwrite any existing custom serializer with default Expo and Sentry serializers.
 *
 * To use custom serializers, use `createSentryMetroSerializer(customSerializer)` instead.
 */
export declare function withSentryExpoSerializers(config: MetroConfig): MetroConfig;
/**
 * Creates a Metro serializer that adds Debug ID module to the plain bundle.
 * The Debug ID module is a virtual module that provides a debug ID in runtime.
 *
 * RAM Bundles do not support custom serializers.
 */
export declare const createSentryMetroSerializer: (customSerializer?: MetroSerializer) => MetroSerializer;
//# sourceMappingURL=sentryMetroSerializer.d.ts.map